curl --request GET \
--url https://api.synctera.com/v1/fee_templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/fee_templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/fee_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fee_templates": [
{
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "85943c51-e4ff-4e57-9558-08cab6b96364",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_FUNDING_AFT",
"tenant": "abcdef_ghijkl",
"currency": "USD",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"is_enabled": true,
"amount": 1000,
"description": "Premium Customer ATM Fee",
"metadata": {}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List fee templates
Get paginated list of fee templates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return fee templates with the specified id. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
A short string representing the sub-type of the fee. This will be used as the subtype of the resulting transaction.
ACCOUNT_FUNDING_AFT, ACCOUNT_FUNDING_AFT_REVERSAL, ACH_INCOMING_TRANSFER, ACH_INCOMING_TRANSFER_REVERSAL, ACH_OUTGOING_TRANSFER, ACH_OUTGOING_TRANSFER_REVERSAL, APPLICATION, APPLICATION_REVERSAL, ATM_BALANCE_INQUIRY, ATM_BALANCE_INQUIRY_REVERSAL, ATM_WITHDRAWAL, ATM_WITHDRAWAL_REVERSAL, BALANCE_TRANSFER, BALANCE_TRANSFER_REVERSAL, BILL_PAY, BILL_PAY_REVERSAL, CARD_DELIVERY, CARD_DELIVERY_REVERSAL, CARD_REPLACEMENT, CARD_REPLACEMENT_REVERSAL, CASH_ADVANCE, CASH_ADVANCE_REVERSAL, CASH_DEPOSIT, CASH_DEPOSIT_REVERSAL, CHECK_ISSUANCE, CHECK_ISSUANCE_REVERSAL, CROSS_BORDER_TRANSACTION, CROSS_BORDER_TRANSACTION_REVERSAL, EFT_TRANSFER, EFT_TRANSFER_REVERSAL, FOREIGN_ATM, FOREIGN_ATM_REVERSAL, FOREIGN_TRANSACTION, FOREIGN_TRANSACTION_REVERSAL, INACTIVITY, INACTIVITY_REVERSAL, LATE_PAYMENT, LATE_PAYMENT_REVERSAL, MAINTENANCE, MAINTENANCE_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, ORIGINATION, ORIGINATION_REVERSAL, OVERDRAFT, OVERDRAFT_REVERSAL, OVER_THE_LIMIT, OVER_THE_LIMIT_REVERSAL, RETURNED_ITEM, RETURNED_ITEM_REVERSAL, RETURNED_PAYMENT, RETURNED_PAYMENT_REVERSAL, STOP_PAYMENT, STOP_PAYMENT_REVERSAL, SUBSCRIPTION, SUBSCRIPTION_REVERSAL, WIRE_TRANSFER, WIRE_TRANSFER_REVERSAL Specifies the sort order for the returned fee templates.
amount:asc, amount:desc, description:asc, description:desc, is_enabled:asc, is_enabled:desc, last_updated_time:asc, last_updated_time:desc Return fee templates with the specified is_enabled flag.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Return fee templates with the specified description. A * character can be used as a wildcard to match any characters.
Was this page helpful?

